Package Gnumed :: Package wxpython :: Module gmPhraseWheel :: Class cPhraseWheel |
[frames] | no frames]

# Class cPhraseWheel

source code

     wx.TextCtrl --+
                   |
    cPhraseWheelBase --+
                       |
                      cPhraseWheel

Instance Methods
GetData(self, can_create=False, as_instance=False) Retrieve the data associated with the displayed string(s). | source code
SetData(self, data=None) Set the data and thereby set the value, too. | source code
Inherited from `cPhraseWheelBase`: `Disable`, `Enable`, `SetText`, `__init__`, `add_callback_on_lose_focus`, `add_callback_on_modified`, `add_callback_on_selection`, `add_callback_on_set_focus`, `display_as_valid`, `enable_default_spellchecker`, `set_context`, `set_from_instance`, `set_from_pk`, `unset_context`

Class Variables
Inherited from `cPhraseWheelBase`: `accepted_chars`, `data`, `final_regex`, `final_regex_error_msg`, `speller_word_separators`, `static_tooltip_extra`

Method Details

### GetData(self, can_create=False, as_instance=False) | source code
    Retrieve the data associated with the displayed string(s).

    - self._create_data() must set self.data if possible (/successful)
Overrides: cPhraseWheelBase.GetData (inherited documentation)

### SetData(self, data=None) | source code
Set the data and thereby set the value, too. if possible. If you call SetData() you better be prepared doing a scan of the entire potential match space. The whole thing will only work if data is found in the match space anyways.